package com.ruoyi.system.mapper.house;

import com.ruoyi.system.domain.house.BusinessEntitySell;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BusinessEntitySellMapper {

    // 插入业务实体销售信息
    void insertBusinessEntitySell(BusinessEntitySell businessEntitySell);

    // 根据ID查询业务实体销售信息
    BusinessEntitySell selectBusinessEntitySellById(@Param("id") String id);

    // 更新业务实体销售信息
    void updateBusinessEntitySell(BusinessEntitySell businessEntitySell);

    // 删除业务实体销售信息
    void deleteBusinessEntitySellById(@Param("id") String id);

    // 查询所有业务实体销售信息
    List<BusinessEntitySell> selectAllBusinessEntitySells();

    void deleteBusinessEntitySellByEntityId(@Param("businessEntityId") String businessEntityId);

    List<BusinessEntitySell> selectBusinessEntitySellByEntityId(@Param("entityId") String entityId);

    List<BusinessEntitySell> selectBusinessEntitySellByEntityIds(@Param("entityIds") List<String> entityIds);

    BusinessEntitySell selectBusinessEntitySellByBusinessEntityInfoId(@Param("businessEntityInfoId") String businessEntityInfoId, @Param("year") Integer year);

    BusinessEntitySell selectBusinessEntityTaxByBusinessEntityInfoId(@Param("businessEntityInfoId") String businessEntityInfoId, @Param("year") Integer year);
}
